declare type Chunk = string;
export interface Manifest {
    [chunk: string]: {
        [locale: string]: string;
    };
}
export interface LocaleMessages {
    [id: string]: string;
}
export interface Messages {
    [locale: string]: LocaleMessages;
}
export interface Cached {
    [chunkGroupName: string]: Messages;
}
export declare class IntlChunkLoader {
    chunksToLoad: Set<Chunk>;
    manifest: Manifest;
    cache: Messages;
    locale?: string;
    loadedChunksPerLocale: Map<string, Set<Chunk>>;
    constructor(manifest: Manifest, chunks?: Chunk[], cached?: Cached);
    updateCache(messages: Messages): void;
    setChunkAsLoaded(chunk: Chunk, locale: string): void;
    load: (chunk: string, locale: string) => Promise<void>;
    loadPending(locale: string): Promise<void>;
    setLocale(locale: string): Promise<void>;
    push(chunk: Chunk): Promise<void>;
    hot(manifest: Manifest, messages: Messages): void;
    readonly messages: LocaleMessages | undefined;
}
export default function initialize(cached?: Cached): IntlChunkLoader;
export {};
